Opened 5 years ago

Closed 4 years ago

#50833 closed defect (fixed)

org-mode-devel must install a specific version

Reported by: ryandesign (Ryan Schmidt) Owned by: drkp (Dan Ports)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc:
Port: org-mode-devel

Description

org-mode-devel's version is currently listed as "devel" and it installs from the tip of the git repository. This is not permitted. Port builds must be reproducible, and to that end ports must install a specific known-good version of software. That version must be listed in the version field. If a version number is not available, a date in YYYYMMDD format may be used, or a combination of last known version and date. Ports should fetch from a tarball if possible; fetching from git or other rcs should be considered a last resort.

Dan, I'm assigning to you since you maintain org-mode. If there's no longer a need for an org-mode-devel port, please make org-mode-devel replaced_by org-mode.

Change History (2)

comment:1 Changed 5 years ago by drkp (Dan Ports)

I will remove this port -- I'm not sure who created it or why, but org-mode is updated regularly enough that it doesn't seem worth having a devel port, especially if no one is going to keep it up to date.

comment:2 Changed 4 years ago by drkp (Dan Ports)

Resolution: fixed
Status: newclosed

Removed in r153121.

Note: See TracTickets for help on using tickets.